package in.gov.digilocker.uidai.logs.fpmodal;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;

import org.springframework.stereotype.Component;

@XmlRootElement(name = "Resp")
@XmlAccessorType(XmlAccessType.NONE)
@XmlType(propOrder = { "errCode", "errInfo", "fCount", "fType", "iCount", "pCount", "pgCount", "pTimeout", "nmPoints", "qScore" })
@Component
public class Response {
	
	@XmlAttribute(name = "errCode") private String errCode;
	@XmlAttribute(name = "errInfo") private String errInfo;
	@XmlAttribute(name = "fCount") private String fCount;
	@XmlAttribute(name = "fType") private String fType;
	@XmlAttribute(name = "iCount") private String iCount;
	@XmlAttribute(name = "pCount") private String pCount;
	@XmlAttribute(name = "pgCount") private String pgCount;
	@XmlAttribute(name = "pTimeout") private String pTimeout;
	@XmlAttribute(name = "nmPoints") private String nmPoints;
	@XmlAttribute(name = "qScore") private String qScore;
	
	public Response() {
		
		this.errCode= "";
		this.errInfo= "";
		this.fCount= "";
		this.fType= "";
		this.iCount= "";
		this.pCount= "";
		this.pgCount= "";
		this.pTimeout= "";
		this.nmPoints= "";
		this.qScore= "";
		
	}

	public String getErrCode() {
		return errCode;
	}

	public void setErrCode(String errCode) {
		this.errCode = errCode;
	}

	public String getErrInfo() {
		return errInfo;
	}

	public void setErrInfo(String errInfo) {
		this.errInfo = errInfo;
	}

	public String getfCount() {
		return fCount;
	}

	public void setfCount(String fCount) {
		this.fCount = fCount;
	}

	public String getfType() {
		return fType;
	}

	public void setfType(String fType) {
		this.fType = fType;
	}

	public String getiCount() {
		return iCount;
	}

	public void setiCount(String iCount) {
		this.iCount = iCount;
	}

	public String getpCount() {
		return pCount;
	}

	public void setpCount(String pCount) {
		this.pCount = pCount;
	}

	public String getPgCount() {
		return pgCount;
	}

	public void setPgCount(String pgCount) {
		this.pgCount = pgCount;
	}

	public String getpTimeout() {
		return pTimeout;
	}

	public void setpTimeout(String pTimeout) {
		this.pTimeout = pTimeout;
	}

	public String getNmPoints() {
		return nmPoints;
	}

	public void setNmPoints(String nmPoints) {
		this.nmPoints = nmPoints;
	}

	public String getqScore() {
		return qScore;
	}

	public void setqScore(String qScore) {
		this.qScore = qScore;
	}
	
	
	
	

}
